Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface STCEventQueue

All Known Implementing Classes:
  STCEventQueueImpl

    public interface STCEventQueue

Event Queue interface used to store the notification events in case of TimestampSearch and PersistentSearch.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`int` | `countSTCNotificationEvent()` Returns the number of events in the queue
`STCNotificationEvent` | `getSTCNotificationEvent(int i)` Returns the event at the specified index from the queue of events
`boolean` | `hasEvents()` Checks if there are any events in the event queue
`STCNotificationEvent` | `removeEvent(int i)` Removes an event from the event queue as specified by the index
`void` | `reset()` Method to reset the values
`void` | `setSTCNotificationEvent(STCNotificationEvent event)` Adds an event to the event queue

Method Detail

### hasEvents

    boolean hasEvents()

  Checks if there are any events in the event queue

  Returns:
    true if there are events in the queue

### setSTCNotificationEvent

    void setSTCNotificationEvent(STCNotificationEvent event)

  Adds an event to the event queue

  Parameters:
    `event` - the notification event as a STCNotificationEvent object

### countSTCNotificationEvent

    int countSTCNotificationEvent()

  Returns the number of events in the queue

  Returns:
    the count of events in the queue

### getSTCNotificationEvent

    STCNotificationEvent getSTCNotificationEvent(int i)
                                                 throws java.lang.IndexOutOfBoundsException

  Returns the event at the specified index from the queue of events

  Parameters:
    `i` - the index of the event to be returned
  Returns:
    the event as a STCNotificationEvent object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

### removeEvent

    STCNotificationEvent removeEvent(int i)
                                     throws java.lang.IndexOutOfBoundsException

  Removes an event from the event queue as specified by the index

  Parameters:
    `i` - the index of the event to be removed from the queue
  Returns:
    the removed event as a STCNotificationEvent object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD